Package org.apache.storm.hive.security

## Class AutoHiveNimbus

- java.lang.Object
- - org.apache.storm.common.AbstractHadoopNimbusPluginAutoCreds
  - - org.apache.storm.hive.security.AutoHiveNimbus

- All Implemented Interfaces:
    `CredentialKeyProvider`, `Shutdownable`, `ICredentialsRenewer`, `INimbusCredentialPlugin`

      @Deprecated(since="2.7.1",
                  forRemoval=true)
      public class AutoHiveNimbus
      extends AbstractHadoopNimbusPluginAutoCreds

  Deprecated, for removal: This API element is subject to removal in a future version.
  Auto credentials nimbus plugin for Hive implementation. This class automatically gets Hive delegation tokens and push it to user's topology.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `hiveKeytab` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `hivePrincipal` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `metaStoreURI` | Deprecated, for removal: This API element is subject to removal in a future version.

    - ### Fields inherited from class org.apache.storm.common.AbstractHadoopNimbusPluginAutoCreds

      `CONFIG_KEY_RESOURCES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AutoHiveNimbus()` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.hadoop.hive.conf.HiveConf` | `createHiveConf​(String metaStoreUri, String hiveMetaStorePrincipal)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `doPrepare​(Map<String,​Object> conf)` | Deprecated, for removal: This API element is subject to removal in a future version. Prepare the plugin.
    `void` | `doRenew​(Map<String,​String> credentials, Map<String,​Object> topologyConf, String topologyOwnerPrincipal)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected String` | `getConfigKeyString()` | Deprecated, for removal: This API element is subject to removal in a future version. The lookup key for the config key string.
    `String` | `getCredentialKey​(String configKey)` | Deprecated, for removal: This API element is subject to removal in a future version. The lookup key for the config key string.
    `protected byte[]` | `getHadoopCredentials​(Map<String,​Object> conf, String topologyOwnerPrincipal)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected byte[]` | `getHadoopCredentials​(Map<String,​Object> conf, String configKey, String topologyOwnerPrincipal)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected byte[]` | `getHadoopCredentials​(Map<String,​Object> conf, org.apache.hadoop.conf.Configuration configuration, String topologySubmitterUser)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `shutdown()` | Deprecated, for removal: This API element is subject to removal in a future version.

    - ### Methods inherited from class org.apache.storm.common.AbstractHadoopNimbusPluginAutoCreds

      `fillHadoopConfiguration, getConfigKeys, getCredentials, populateCredentials, prepare, renew`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.security.INimbusCredentialPlugin

      `populateCredentials`

- - ### Field Detail

    - #### hiveKeytab

          public String hiveKeytab

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### hivePrincipal

          public String hivePrincipal

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### metaStoreURI

          public String metaStoreURI

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Constructor Detail

    - #### AutoHiveNimbus

          public AutoHiveNimbus()

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### doPrepare

          public void doPrepare​(Map<String,​Object> conf)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from class: `AbstractHadoopNimbusPluginAutoCreds`
      Prepare the plugin.
      Specified by:
        `doPrepare` in class `AbstractHadoopNimbusPluginAutoCreds`
      Parameters:
        `conf` - the storm cluster conf set via storm.yaml

    - #### getConfigKeyString

          protected String getConfigKeyString()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from class: `AbstractHadoopNimbusPluginAutoCreds`
      The lookup key for the config key string.
      Specified by:
        `getConfigKeyString` in class `AbstractHadoopNimbusPluginAutoCreds`
      Returns:
        the config key string

    - #### shutdown

          public void shutdown()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getHadoopCredentials

          protected byte[] getHadoopCredentials​(Map<String,​Object> conf,
                                                String configKey,
                                                String topologyOwnerPrincipal)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `getHadoopCredentials` in class `AbstractHadoopNimbusPluginAutoCreds`

    - #### getHadoopCredentials

          protected byte[] getHadoopCredentials​(Map<String,​Object> conf,
                                                String topologyOwnerPrincipal)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `getHadoopCredentials` in class `AbstractHadoopNimbusPluginAutoCreds`

    - #### getHadoopCredentials

          protected byte[] getHadoopCredentials​(Map<String,​Object> conf,
                                                org.apache.hadoop.conf.Configuration configuration,
                                                String topologySubmitterUser)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### createHiveConf

          public org.apache.hadoop.hive.conf.HiveConf createHiveConf​(String metaStoreUri,
                                                                     String hiveMetaStorePrincipal)
                                                              throws IOException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Throws:
        `IOException`

    - #### doRenew

          public void doRenew​(Map<String,​String> credentials,
                              Map<String,​Object> topologyConf,
                              String topologyOwnerPrincipal)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `doRenew` in class `AbstractHadoopNimbusPluginAutoCreds`

    - #### getCredentialKey

          public String getCredentialKey​(String configKey)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: `CredentialKeyProvider`
      The lookup key for the config key string.
      Returns:
        the config key string